
Figure - Bug #118059
【IOVDEV-28591】【自动化测试】【稳定性测试】【VC1】【副屏】/system/bin/surfaceflinger
2023-05-18 17:41 - CDTS-TEST 周婷

Status: CLOSED Start date: 2023-05-18

Priority: High Due date:

Assignee: CDTS-TEST 周婷 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 03.02.0078.C101��

Resolution: DUPLICATE Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 与 #118052 一样

Description

详情

类型: 故障

状态:开放 (查看工作流)

优先级: B

解决结果:未解决

影响版本:

03.02.0078.C101

修复的版本:无

模块:

系统稳定性

标签:

自动化测试发现

Repetition Rate:

偶现

测试环境:台架自动测试

项目名:

VC1

描述

测试手顺：

副屏执行monkey稳定性测试

预期结果：

无黑卡死等严重问题发生，无Crash、ANR、Tombstone内存泄露等

实际结果：

/system/bin/surfaceflinger

Related issues:

Related to Figure - Bug # 118052: 【IOVDEV-28498】【IOVDEV-3... CLOSED 2023-05-26 2023-06-05

History

#1 - 2023-05-19 11:09 - CD FW 曹覃刚

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_TEST 王成
请帮忙下载下日志，研发这边bug数量太多，只有一个账号可以下载日志，速度太慢，经常断连

目前研发这边，SecoClient一直断连，已经无法下载了

#2 - 2023-05-26 11:31 - CDTS_TEST 王成

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_TEST 王成 to CD FW 曹覃刚

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118059-118047/5_26_.7z  客户提供的新日志，与118047   117970 为同一文件

#3 - 2023-05-26 19:06 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CDTS-TEST 周婷

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Root cause set to 与 #118052 一样

■ 我的分析

surfaceflinger报空指针了，导致系统进程挂了，堆栈信息与 #118052 有差别，但是判断都属于Layer已经释放了还在引用，根本原因相同

因此，此件与 #118052 为同件问题

--------------

05-25 20:58:06.828 20995 20995 E DEBUG   : failed to read /proc/uptime: Permission denied

05-25 20:58:07.102 20995 20995 F DEBUG   : * 

05-25 20:58:07.102 20995 20995 F DEBUG   : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3388:user/test-keys'

05-25 20:58:07.102 20995 20995 F DEBUG   : Revision: '0'

05-25 20:58:07.102 20995 20995 F DEBUG   : ABI: 'arm64'

05-25 20:58:07.102 20995 20995 F DEBUG   : Timestamp: 2023-05-25 20:58:06.827480620+0800

05-25 20:58:07.102 20995 20995 F DEBUG   : Process uptime: 0s

05-25 20:58:07.102 20995 20995 F DEBUG   : Cmdline: /system/bin/surfaceflinger

05-25 20:58:07.102 20995 20995 F DEBUG   : pid: 976, tid: 976, name: surfaceflinger  >>> /system/bin/surfaceflinger <<<

05-25 20:58:07.102 20995 20995 F DEBUG   : uid: 1000

05-25 20:58:07.102 20995 20995 F DEBUG   : signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0x4

05-25 20:58:07.102 20995 20995 F DEBUG   : Cause: null pointer dereference

05-25 20:58:07.102 20995 20995 F DEBUG   :     x0  b4000071f03edec8  x1  b4000070a07faf78  x2  b4000070a07f5f78  x3  0000000000000001

05-25 20:58:07.102 20995 20995 F DEBUG   :     x4  02000070a07fafa0  x5  0000007371cad3e4  x6  00054ecf00059b28  x7  00059ad800045100

05-25 20:58:07.102 20995 20995 F DEBUG   :     x8  0000000000000000  x9  0000000000000004  x10 00000000bc4e23e8  x11 00000000a07faf98

05-25 20:58:07.102 20995 20995 F DEBUG   :     x12 0000ffff00000eff  x13 00000000a87250ac  x14 0000000000000018  x15 b40000708032b820

05-25 20:58:07.102 20995 20995 F DEBUG   :     x16 000000641acc4c00  x17 000000737062cdd4  x18 00000073750b2000  x19 0000000000000000

05-25 20:58:07.102 20995 20995 F DEBUG   :     x20 b4000070a07f5f78  x21 b4000070a07faf78  x22 b4000071f05cc240  x23 000000737483e000

05-25 20:58:07.102 20995 20995 F DEBUG   :     x24 b4000070a07f5d00  x25 b40000720025aaf0  x26 b4000071502565f0  x27 b4000070b1913448

05-25 20:58:07.102 20995 20995 F DEBUG   :     x28 0000000000000000  x29 0000007fe1740980

05-25 20:58:07.102 20995 20995 F DEBUG   :     lr  000000641a83480c  sp  0000007fe1740980  pc  000000737062cde0  pst 0000000060001000

05-25 20:58:07.102 20995 20995 F DEBUG   : backtrace:

05-25 20:58:07.102 20995 20995 F DEBUG   :       #00 pc 000000000000ede0  /system/lib64/libutils.so (android::RefBase::incStrong(void const) const+12) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-25 20:58:07.102 20995 20995 F DEBUG   :       #01 pc 000000000015b808  /system/bin/surfaceflinger (android::SortedVector<android::sp<android::Layer>

>::do_copy(void*, void const*, unsigned long) const+84) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-25 20:58:07.102 20995 20995 F DEBUG   :       #02 pc 0000000000014d30  /system/lib64/libutils.so (android::VectorImpl::editArrayImpl()+96) (BuildId:
b940f836006eead456c936e97e64d2d4)

05-25 20:58:07.102 20995 20995 F DEBUG   :       #03 pc 0000000000150058  /system/bin/surfaceflinger (android::Layer::computeBounds(android::FloatRect,

android::ui::Transform, float)+648) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-25 20:58:07.102 20995 20995 F DEBUG   :       #04 pc 00000000001500b4  /system/bin/surfaceflinger (android::Layer::computeBounds(android::FloatRect,

android::ui::Transform, float)+740) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-25 20:58:07.102 20995 20995 F DEBUG   :       #05 pc 00000000001500b4  /system/bin/surfaceflinger (android::Layer::computeBounds(android::FloatRect,

android::ui::Transform, float)+740) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-25 20:58:07.102 20995 20995 F DEBUG   :       #06 pc 00000000001500b4  /system/bin/surfaceflinger (android::Layer::computeBounds(android::FloatRect,

android::ui::Transform, float)+740) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-25 20:58:07.102 20995 20995 F DEBUG   :       #07 pc 00000000001500b4  /system/bin/surfaceflinger (android::Layer::computeBounds(android::FloatRect,

android::ui::Transform, float)+740) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-25 20:58:07.102 20995 20995 F DEBUG   :       #08 pc 00000000001500b4  /system/bin/surfaceflinger (android::Layer::computeBounds(android::FloatRect,

android::ui::Transform, float)+740) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-25 20:58:07.102 20995 20995 F DEBUG   :       #09 pc 00000000001500b4  /system/bin/surfaceflinger (android::Layer::computeBounds(android::FloatRect,

android::ui::Transform, float)+740) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-25 20:58:07.102 20995 20995 F DEBUG   :       #10 pc 00000000001500b4  /system/bin/surfaceflinger (android::Layer::computeBounds(android::FloatRect,

android::ui::Transform, float)+740) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-25 20:58:07.102 20995 20995 F DEBUG   :       #11 pc 00000000001500b4  /system/bin/surfaceflinger (android::Layer::computeBounds(android::FloatRect,

android::ui::Transform, float)+740) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-25 20:58:07.103 20995 20995 F DEBUG   :       #12 pc 00000000001500b4  /system/bin/surfaceflinger (android::Layer::computeBounds(android::FloatRect,

android::ui::Transform, float)+740) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-25 20:58:07.103 20995 20995 F DEBUG   :       #13 pc 00000000001500b4  /system/bin/surfaceflinger (android::Layer::computeBounds(android::FloatRect,

android::ui::Transform, float)+740) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-25 20:58:07.103 20995 20995 F DEBUG   :       #14 pc 00000000001500b4  /system/bin/surfaceflinger (android::Layer::computeBounds(android::FloatRect,

android::ui::Transform, float)+740) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-25 20:58:07.103 20995 20995 F DEBUG   :       #15 pc 00000000001500b4  /system/bin/surfaceflinger (android::Layer::computeBounds(android::FloatRect,

android::ui::Transform, float)+740) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-25 20:58:07.103 20995 20995 F DEBUG   :       #16 pc 00000000001500b4  /system/bin/surfaceflinger (android::Layer::computeBounds(android::FloatRect,

android::ui::Transform, float)+740) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-25 20:58:07.103 20995 20995 F DEBUG   :       #17 pc 00000000001967c8  /system/bin/surfaceflinger (android::SurfaceFlinger::onMessageInvalidate(long, long)+10172)

(BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-25 20:58:07.103 20995 20995 F DEBUG   :       #18 pc 0000000000193f84  /system/bin/surfaceflinger (android::SurfaceFlinger::onMessageReceived(int, long, long)+56)

(BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-25 20:58:07.103 20995 20995 F DEBUG   :       #19 pc 0000000000017f64  /system/lib64/libutils.so (android::Looper::pollInner(int)+372) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-25 20:58:07.103 20995 20995 F DEBUG   :       #20 pc 0000000000017d84  /system/lib64/libutils.so (android::Looper::pollOnce(int, int*, int*, void**)+116) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-25 20:58:07.103 20995 20995 F DEBUG   :       #21 pc 000000000016f71c  /system/bin/surfaceflinger (android::impl::MessageQueue::waitMessage()+88) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

05-25 20:58:07.103 20995 20995 F DEBUG   :       #22 pc 0000000000189080  /system/bin/surfaceflinger (android::SurfaceFlinger::run()+16) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

05-25 20:58:07.103 20995 20995 F DEBUG   :       #23 pc 00000000001d6c40  /system/bin/surfaceflinger (main+1640) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

05-25 20:58:07.103 20995 20995 F DEBUG   :       #24 pc 000000000004a084  /apex/com.android.runtime/lib64/bionic/libc.so (__libc_init+100) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

--------------

■ 下一步计划

已关联到 #118052，将在 #118052分析，此票已同件关闭

#4 - 2023-06-02 17:19 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED
#5 - 2023-06-02 17:19 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

tombstone_05 189 KB 2023-05-18 CDTS-TEST 周婷
